CGAL 6.2 - 2D and 3D Linear Geometry Kernel: Kernel::ConstructCircle_2 Concept Reference

CGAL 6.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::ConstructCircle_2 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableTernaryFunction`

See also
  `CGAL::Circle_2<Kernel>`

## Operations
A model of this concept must provide:
Kernel::Circle_2 | operator() (Kernel::Point_2 const &center, Kernel::FT const &squared_radius, Orientation const &orientation=COUNTERCLOCKWISE)
| introduces a variable of type `Kernel::Circle_2`.
Kernel::Circle_2 | operator() (Kernel::Point_2 const &p, Kernel::Point_2 const &q, Kernel::Point_2 const &r)
| introduces a variable of type `Kernel::Circle_2`.
Kernel::Circle_2 | operator() (Kernel::Point_2 const &p, Kernel::Point_2 const &q, Orientation const &orientation=COUNTERCLOCKWISE)
| introduces a variable of type `Kernel::Circle_2`.
Kernel::Circle_2 | operator() (Kernel::Point_2 const &center, Orientation const &orientation=COUNTERCLOCKWISE)
| introduces a variable of type `Kernel::Circle_2`.

## Member Function Documentation

## ◆ operator()() [1/4]

Kernel::Circle_2 Kernel::ConstructCircle_2::operator() | ( | Kernel::Point_2 const & | center,
|  | Kernel::FT const & | squared_radius,
|  | Orientation const & | orientation = `COUNTERCLOCKWISE`
| ) |  |

introduces a variable of type `Kernel::Circle_2`.

It is initialized to the circle with center `center`, squared radius `squared_radius` and orientation `orientation`.

Precondition
  `orientation != CGAL::COLLINEAR` and `squared_radius >= 0`.

## ◆ operator()() [2/4]

Kernel::Circle_2 Kernel::ConstructCircle_2::operator() | ( | Kernel::Point_2 const & | center,
|  | Orientation const & | orientation = `COUNTERCLOCKWISE`
| ) |  |

introduces a variable of type `Kernel::Circle_2`.

It is initialized to the circle with center `center`, squared radius zero and orientation `orientation`.

Precondition
  `orientation != CGAL::COLLINEAR`.

Postcondition
  .`is_degenerate()` = `true`.

## ◆ operator()() [3/4]

Kernel::Circle_2 Kernel::ConstructCircle_2::operator() | ( | Kernel::Point_2 const & | p,
|  | Kernel::Point_2 const & | q,
|  | Kernel::Point_2 const & | r
| ) |  |

introduces a variable of type `Kernel::Circle_2`.

It is initialized to the unique circle which passes through the points `p`, `q` and `r`. The orientation of the circle is the orientation of the point triple `p`, `q`, `r`.

Precondition
  `p`, `q`, and `r` are not collinear.

## ◆ operator()() [4/4]

Kernel::Circle_2 Kernel::ConstructCircle_2::operator() | ( | Kernel::Point_2 const & | p,
|  | Kernel::Point_2 const & | q,
|  | Orientation const & | orientation = `COUNTERCLOCKWISE`
| ) |  |

introduces a variable of type `Kernel::Circle_2`.

It is initialized to the circle with diameter `pq` and orientation `orientation`.

Precondition
  `orientation != CGAL::COLLINEAR`.